Upstream information

CVE-2015-7713 at MITRE

Description

OpenStack Compute (Nova) before 2014.2.4 (juno) and 2015.1.x before 2015.1.2 (kilo) do not properly apply security group changes, which allows remote attackers to bypass intended restriction by leveraging an instance that was running when the change was made.

SUSE information

Overall state of this security issue: Running

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 5
Vector AV:N/AC:L/Au:N/C:N/I:P/A:N
Access Vector Network
Access Complexity Low
Authentication None
Confidentiality Impact None
Integrity Impact Partial
Availability Impact None
SUSE Bugzilla entry: 949070 [RESOLVED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Cloud Compute Node for SUSE Linux Enterprise 12 5
  • openstack-neutron >= 2014.2.4~a0~dev103-10.3
  • openstack-neutron-dhcp-agent >= 2014.2.4~a0~dev103-10.3
  • openstack-neutron-ha-tool >= 2014.2.4~a0~dev103-10.3
  • openstack-neutron-l3-agent >= 2014.2.4~a0~dev103-10.3
  • openstack-neutron-lbaas-agent >= 2014.2.4~a0~dev103-10.3
  • openstack-neutron-linuxbridge-agent >= 2014.2.4~a0~dev103-10.3
  • openstack-neutron-metadata-agent >= 2014.2.4~a0~dev103-10.3
  • openstack-neutron-metering-agent >= 2014.2.4~a0~dev103-10.3
  • openstack-neutron-openvswitch-agent >= 2014.2.4~a0~dev103-10.3
  • openstack-neutron-vpn-agent >= 2014.2.4~a0~dev103-10.3
  • openstack-nova >= 2014.2.4~a0~dev80-14.1
  • openstack-nova-compute >= 2014.2.4~a0~dev80-14.1
  • python-neutron >= 2014.2.4~a0~dev103-10.3
  • python-nova >= 2014.2.4~a0~dev80-14.1
  • python-python-memcached >= 1.54-2.1
Patchnames:
SUSE-SLE12-CLOUD-5-2015-953
SUSE OpenStack Cloud 5
  • openstack-nova >= 2014.2.4~a0~dev80-20.1
  • openstack-nova-api >= 2014.2.4~a0~dev80-20.1
  • openstack-nova-cells >= 2014.2.4~a0~dev80-20.1
  • openstack-nova-cert >= 2014.2.4~a0~dev80-20.1
  • openstack-nova-compute >= 2014.2.4~a0~dev80-20.1
  • openstack-nova-conductor >= 2014.2.4~a0~dev80-20.1
  • openstack-nova-console >= 2014.2.4~a0~dev80-20.1
  • openstack-nova-consoleauth >= 2014.2.4~a0~dev80-20.1
  • openstack-nova-doc >= 2014.2.4~a0~dev80-20.1
  • openstack-nova-novncproxy >= 2014.2.4~a0~dev80-20.1
  • openstack-nova-objectstore >= 2014.2.4~a0~dev80-20.1
  • openstack-nova-scheduler >= 2014.2.4~a0~dev80-20.1
  • openstack-nova-serialproxy >= 2014.2.4~a0~dev80-20.1
  • openstack-nova-vncproxy >= 2014.2.4~a0~dev80-20.1
  • python-nova >= 2014.2.4~a0~dev80-20.1
Patchnames:
sleclo50sp3-openstack-nova-12253


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
SUSE Cloud 11.3 openstack-nova In progress
SUSE Cloud 2.0 openstack-nova In progress
SUSE Cloud 3 openstack-nova Ignore
SUSE Cloud 4 openstack-nova Ignore
SUSE Cloud 5 openstack-nova In progress
SUSE Linux Enterprise 12 Compute Node for Cloud 5 openstack-nova Released